%define plugins 3d addhelper bench bicubic crashhandler cubeaddon extrawm fadedesktop firepaint gears group loginout maximumize mblur notification reflex scalefilter shelf showdesktop showmouse splash trailfocus wallpaper widget grid

Name: compiz-fusion-extras
Version: 0.8.6
Release: 1%{?dist}
Summary: Additional Compiz Fusion plugins for Compiz      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0: http://releases.compiz-fusion.org/%{version}/compiz-plugins-extra-%{version}.tar.bz2   
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-fusion-devel >= %{version}
BuildRequires: compiz-bcop >= 0.8.4
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: libnotify-devel
BuildRequires: GConf2
BuildRequires: libjpeg-devel
BuildRequires: gawk
BuildRequires: intltool

Requires: compiz-fusion >= %{version} 

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains additional plugins from the Compiz Fusion Project

%package gnome
Summary: Compiz Fusion Extras gnome configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description gnome
This package contains the GNOME configuration for
Compiz Fusion Extras

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-fusion-devel >= %{version}
Requires: %{name} = %{version}

%description devel
This package contain development files required for developing other plugins

%prep
%setup -q -n compiz-plugins-extra-%{version}


%build
%configure --enable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a

%find_lang compiz-plugins-extra


%post gnome
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

for p in in %{plugins}; do
 	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-install-rule >& /dev/null || :


%pre gnome
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :

fi

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :
  
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f compiz-plugins-extra.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*.png

%files gnome
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/compiz-*

%changelog
* Tue Mar 30 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.8.6-1
- Update to 0.8.6

* Sat Jan 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-1
- Update to 0.8.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-1
- Update to 0.8.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-5
- Build with libnotify support

* Fri Dec 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-4
- Remove crap from scriptlet

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-3
- Add devel subpackage

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-2
- BR intltool

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-1
- Update to 0.7.8

* Tue Jul 15 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-6
- Build on ppc64 too

* Tue Jun 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-5
- Fix up scriptlets (RH #452677)

* Mon Jun 23 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-4
- Speed up gconf schema installation

* Wed Jun 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-3
- Revert to old gconf schmema install script

* Fri Jun 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-2
- Fix script typo

* Thu Jun 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6
- Install all gconf schemas at once

* Tue Mar 25 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-2
- Fix scriptlet failure

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-3
- Rebuild for gcc-4.3

* Fri Jan 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-2
- Fix build with gcc43

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Fri Oct 12 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-9.6871d0
- Rebuild against new compiz-fusion to build missing plugins (RH #327441)

* Wed Oct 10 2007 Warren Togami <wtogami@redhat.com> 0.5.2-8.6871d0
- >= instead of = to allow compiz upgrade flexibility

* Sun Sep 23 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-7.6871d0
- GConf schemas got renamed .. fix scripts to install them
- Fix changelog date

* Sat Sep 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-6.6871d0
- Update to 0.6 branch (builds against current compiz)

* Sat Sep 15 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-5
- Fix gconf schemas install (RH #53692)
- Some build fixes

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-4
- Remove redundant buildrequires

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-3
- BuildRequire gawk

* Wed Aug 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-2
- Fix gconf schemas (un)installation

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build


